function move(id, coord, value) {
  var el = document.getElementById(id); 
  var result = el.getAttribute('translation');
  var items = result.split(' ');
  var x, y, z;
  var new_v;

  x = parseFloat(items[0]);
  y = parseFloat(items[1]);
  z = parseFloat(items[2]);

  if(coord == 'x') {
    new_v = parseFloat(x) + parseFloat(value);
    el.setAttribute('translation', new_v + ' ' + y + ' ' + z);
  }
  else if(coord == 'y') {
    new_v = parseFloat(y) + parseFloat(value);
    el.setAttribute('translation', x + ' ' + new_v + ' ' + z);
  }
  else if(coord == 'z') {
    new_v = parseFloat(z) + parseFloat(value);
    el.setAttribute('translation', x + ' ' + y + ' ' + new_v);
  }
  else return null;
}


function rotate(id, coord, value) {
  var el = document.getElementById(id); 
  var result = el.getAttribute('rotation');
  var items = result.split(' ');
  var x, y, z, a;
  var new_v;

  x = parseFloat(items[0]);
  y = parseFloat(items[1]);
  z = parseFloat(items[2]);
  a = parseFloat(items[3]);

  if(coord == 'x') {
    new_v = parseFloat(x) + parseFloat(value);
    el.setAttribute('rotation', new_v + ' ' + y + ' ' + z + ' ' + a);
  }
  else if(coord == 'y') {
    new_v = parseFloat(y) + parseFloat(value);
    el.setAttribute('rotation', x + ' ' + new_v + ' ' + z + ' ' + a);
   }
  else if(coord == 'z') {
    new_v = parseFloat(z) + parseFloat(value);
    el.setAttribute('rotation', x + ' ' + y + ' ' + new_v + ' ' + a);
  }
  else if(coord == 'a') {
    new_v = parseFloat(a) + parseFloat(value);
    el.setAttribute('rotation', x + ' ' + y + ' ' + z + ' ' + nev_v);
  }
  else return null;
}

function get_position(id) {
  var el = document.getElementById(id); 
  var result = el.getAttribute('translation');
  var items = result.split(' ');
  return items;
} 

function get_rotation(id) {
  var el = document.getElementById(id); 
  var result = el.getAttribute('rotation');
  var items = result.split(' ');
  return items;
}